Subject: [lamps] draft-ietf-lamps-lightweight-cmp-profile-01, section 5.1.6.1

From: Russ Housley <[email-masked]>
Date: Tue, 31 Mar 2020 14:03:53 -0400

5.1.6.1 includes this text:

                 kekid           REQUIRED
                   keyIdentifier REQUIRED
       -- MUST contain the same value as the senderKID in the respective
       -- request messages
                 keyEncryptionAlgorithm
                                 REQUIRED
       -- MUST be id-PasswordBasedMac
                   PBMParameter  REQUIRED
                     salt        REQUIRED

I find this difficult.  Using id-PasswordBasedMac as a keyEncryptionAlgorithm algorithm identifier is a problem.  The OID tells the implementation how to parse the parameter structure, but it also tells the implementation what processing steps are needed.  It works for the structure, but I think it will be a big problem for the processing steps.  This is made worse by: "This key management technique can be applied in combination with the PKI management operation specified in Section 5.1.4 using MAC protected CMP messages."  This means that id-PasswordBasedMac would be used to indicate two different sets of processing steps in the same message.

I recommend the assignment of a different OID for use as a keyEncryptionAlgorithm.

Russ